glibmm: Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > > Struct Template Reference

glibmm 2.28.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > > Struct Template Reference

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface. More...

`#include <giomm/volume.h>`

List of all members.

## Public Types
typedef Glib::RefPtr< Gio::Volume > | CppType
typedef GVolume* | CType
typedef GVolume* | CTypeNonConst
## Static Public Member Functions
static CType | to_c_type (const CppType& item)
static CppType | to_cpp_type (const CType& item)
static void | release_c_type (CType item)

## Detailed Description

### template<>
struct Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface.

## Member Typedef Documentation

typedef Glib::RefPtr<Gio::Volume> Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::CppType

typedef GVolume* Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::CType

typedef GVolume* Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::CTypeNonConst

## Member Function Documentation

static void Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::release_c_type | ( | CType | item | ) | `[inline, static]`

static CType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::to_c_type | ( | const CppType& | item | ) | `[inline, static]`

static CppType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::to_cpp_type | ( | const CType& | item | ) | `[inline, static]`